"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Swap = void 0;
const react_1 = __importDefault(require("react"));
const PluggableSwap_1 = require("./PluggableSwap");
const Notification_1 = require("../Notification");
const react_hot_toast_1 = __importDefault(require("react-hot-toast"));
const hooks_1 = require("../../hooks");
exports.Swap = react_1.default.memo(({ tokenBondingKey }) => {
    const [action, setAction] = react_1.default.useState("buy");
    const [currentTokenBonding, setCurrentTokenBonding] = react_1.default.useState(tokenBondingKey);
    const { info: tokenBonding } = (0, hooks_1.useTokenBonding)(tokenBondingKey);
    const { info: baseTokenBonding } = (0, hooks_1.useTokenBondingFromMint)(tokenBonding === null || tokenBonding === void 0 ? void 0 : tokenBonding.baseMint);
    function onBuyBase() {
        if (baseTokenBonding) {
            setCurrentTokenBonding(baseTokenBonding.publicKey);
        }
    }
    return (react_1.default.createElement(PluggableSwap_1.PluggableSwap, { onConnectWallet: () => { }, onBuyBase: onBuyBase, onFlipTokens: (bonding, action) => setAction(action), tokenBondingKey: currentTokenBonding, action: action, onSuccess: ({ ticker, mint, amount }) => {
            react_hot_toast_1.default.custom((t) => (react_1.default.createElement(Notification_1.Notification, { show: t.visible, type: "success", heading: "Transaction Succesful", message: `You now own ${Number(amount).toFixed(4)} of ${ticker}`, onDismiss: () => react_hot_toast_1.default.dismiss(t.id) })));
        } }));
});
//# sourceMappingURL=Swap.js.map