import { MintInfo, u64 } from "@solana/spl-token";
import { PublicKey } from "@solana/web3.js";
import { IPricingCurve } from "@strata-foundation/spl-token-bonding";
export declare function supplyAsNum(mint: MintInfo): number;
export declare function amountAsNum(amount: u64, mint: MintInfo): number;
export declare function useSolOwnedAmount(): {
    amount: number;
    loading: boolean;
};
export declare function useUserOwnedAmount(wallet: PublicKey | undefined | null, token: PublicKey | undefined | null): number | undefined;
export declare function useOwnedAmount(token: PublicKey | undefined | null): number | undefined;
export interface PricingState {
    loading: boolean;
    curve?: IPricingCurve;
}
/**
 * Get an {@link IPricingCurve} Object that can estimate pricing on this bonding curve,
 * in real time.
 *
 * @param tokenBonding
 * @returns
 */
export declare function useBondingPricing(tokenBonding: PublicKey | undefined | null): PricingState;
/**
 * Same as {@link useBondingPricing}, just from a mint instead of the token bonding key
 *
 * @param mint
 * @param index
 * @returns
 */
export declare function useBondingPricingFromMint(mint: PublicKey | undefined | null, index?: number | undefined): PricingState;
export declare const useMarketPrice: (marketAddress: PublicKey) => number | undefined;
export declare function useFiatPrice(token: PublicKey | undefined | null): number | undefined;
//# sourceMappingURL=bondingPricing.d.ts.map